# Uses of Class
java.awt.Event

Packages that use Event
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of Event in java.awt

Fields in java.awt declared as Event
Modifier and Type
Field
Description
`Event`
Event.`evt`
Deprecated.
The next event.
Methods in java.awt with parameters of type Event
Modifier and Type
Method
Description
`boolean`
Component.`action​(Event evt, Object what)`
Deprecated.
As of JDK version 1.1, should register this component as ActionListener on component which fires action events.
`void`
Component.`deliverEvent​(Event e)`
Deprecated.
As of JDK version 1.1, replaced by `dispatchEvent(AWTEvent e)`.
`void`
Container.`deliverEvent​(Event e)`
Deprecated.
As of JDK version 1.1, replaced by `dispatchEvent(AWTEvent e)`
`boolean`
Component.`gotFocus​(Event evt, Object what)`
Deprecated.
As of JDK version 1.1, replaced by processFocusEvent(FocusEvent).
`boolean`
Component.`handleEvent​(Event evt)`
Deprecated.
As of JDK version 1.1 replaced by processEvent(AWTEvent).
`boolean`
Component.`keyDown​(Event evt, int key)`
Deprecated.
As of JDK version 1.1, replaced by processKeyEvent(KeyEvent).
`boolean`
Component.`keyUp​(Event evt, int key)`
Deprecated.
As of JDK version 1.1, replaced by processKeyEvent(KeyEvent).
`boolean`
Component.`lostFocus​(Event evt, Object what)`
Deprecated.
As of JDK version 1.1, replaced by processFocusEvent(FocusEvent).
`boolean`
Component.`mouseDown​(Event evt, int x, int y)`
Deprecated.
As of JDK version 1.1, replaced by processMouseEvent(MouseEvent).
`boolean`
Component.`mouseDrag​(Event evt, int x, int y)`
Deprecated.
As of JDK version 1.1, replaced by processMouseMotionEvent(MouseEvent).
`boolean`
Component.`mouseEnter​(Event evt, int x, int y)`
Deprecated.
As of JDK version 1.1, replaced by processMouseEvent(MouseEvent).
`boolean`
Component.`mouseExit​(Event evt, int x, int y)`
Deprecated.
As of JDK version 1.1, replaced by processMouseEvent(MouseEvent).
`boolean`
Component.`mouseMove​(Event evt, int x, int y)`
Deprecated.
As of JDK version 1.1, replaced by processMouseMotionEvent(MouseEvent).
`boolean`
Component.`mouseUp​(Event evt, int x, int y)`
Deprecated.
As of JDK version 1.1, replaced by processMouseEvent(MouseEvent).
`boolean`
Component.`postEvent​(Event e)`
Deprecated.
As of JDK version 1.1, replaced by dispatchEvent(AWTEvent).
`boolean`
MenuComponent.`postEvent​(Event evt)`
Deprecated.
As of JDK version 1.1, replaced by `dispatchEvent`.
`boolean`
MenuContainer.`postEvent​(Event evt)`
Deprecated.
As of JDK version 1.1 replaced by dispatchEvent(AWTEvent).
`boolean`
Window.`postEvent​(Event e)`
Deprecated.
As of JDK version 1.1 replaced by `dispatchEvent(AWTEvent)`.
Constructors in java.awt with parameters of type Event
Modifier
Constructor
Description
``
`AWTEvent​(Event event)`
Deprecated.
It is recommended that `AWTEvent(Object, int)` be used instead